Bug 26655 - Accessibility: Checkboxes on OPAC lists do not contain aria labels
Summary: Accessibility: Checkboxes on OPAC lists do not contain aria labels
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Henry Bolshaw
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 25243
  Show dependency treegraph
 
Reported: 2020-10-09 22:46 UTC by Henry Bolshaw
Modified: 2020-11-24 10:00 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26655: Add ARIA Labels to OPAC Lists (2.30 KB, patch)
2020-10-10 00:29 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26655: Add ARIA Labels to OPAC Lists (2.35 KB, patch)
2020-10-13 12:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26655: Add ARIA Labels to OPAC Lists (2.41 KB, patch)
2020-10-13 13:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Bolshaw 2020-10-09 22:46:28 UTC
The checkboxes on an OPAC list page do not have aria-labels. This means that users of screenreaders and other assistive technology are not informed of a checkbox's purpose.

To reproduce issue:
1/ Open a list on the OPAC
2/ Inspect the checkbox for a list item and confirm that there isn't an aria-label

As an extra optional step, use an accessibility checker - e.g. the WAVE Accessibility evaluation tool (https://wave.webaim.org/extension/) or Tota11y (https://khan.github.io/tota11y/) - to confirm that this is an accessibility issue. 

Current code example:
<input type="checkbox" class="cb" name="biblionumber" value="114">

Solution example:
<input type="checkbox" class="cb" name="biblionumber" value="114" aria-label="Select list item: Clean code :">

Bug 25244 fixed a similar issue for OPAC search results.
Comment 1 Henry Bolshaw 2020-10-10 00:29:12 UTC
Created attachment 111441 [details] [review]
Bug 26655: Add ARIA Labels to OPAC Lists

This patch adds ARIA labels to opac-shelves.tt
so that checkboxes for list items are meaningful
to users of screenreaders and other assistive
technology.

Test Plan:
1/ Open an OPAC list
2/ Inspect the checkbox for a list item
3/ Confirm the aria-label is missing
4/ Apply the patch
5/ Refresh the Opac list page
6/ Inspect the checkbox for a list item
7/ Note that there is now an aria-label with a
meaningful description
8/Sign off
Comment 2 Owen Leonard 2020-10-13 12:13:33 UTC
Created attachment 111542 [details] [review]
Bug 26655: Add ARIA Labels to OPAC Lists

This patch adds ARIA labels to opac-shelves.tt
so that checkboxes for list items are meaningful
to users of screenreaders and other assistive
technology.

Test Plan:
1/ Open an OPAC list
2/ Inspect the checkbox for a list item
3/ Confirm the aria-label is missing
4/ Apply the patch
5/ Refresh the Opac list page
6/ Inspect the checkbox for a list item
7/ Note that there is now an aria-label with a
meaningful description
8/Sign off

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2020-10-13 13:25:33 UTC
Created attachment 111562 [details] [review]
Bug 26655: Add ARIA Labels to OPAC Lists

This patch adds ARIA labels to opac-shelves.tt
so that checkboxes for list items are meaningful
to users of screenreaders and other assistive
technology.

Test Plan:
1/ Open an OPAC list
2/ Inspect the checkbox for a list item
3/ Confirm the aria-label is missing
4/ Apply the patch
5/ Refresh the Opac list page
6/ Inspect the checkbox for a list item
7/ Note that there is now an aria-label with a
meaningful description
8/Sign off

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-10-14 12:55:45 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-11-13 14:41:40 UTC
does not apply clean to 20.05.x, no backport

Henry, if you wan to rebase this I would gladly backport
Comment 6 Henry Bolshaw 2020-11-18 10:42:58 UTC
Thanks Lucas, I will try and rebase.